Package org.springframework.jmx.export.annotation

# Annotation Interface ManagedNotifications

@Target(TYPE) @Retention(RUNTIME) @Inherited @Documented public @interface ManagedNotifications
Type-level annotation used as a container for one or more `@ManagedNotification` declarations.

Note, however, that use of the `@ManagedNotifications` container is completely optional since `@ManagedNotification` is a repeatable annotation.

Since:
  2.0
Author:
  Rob Harrop

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`ManagedNotification[]`
`value`

## Element Details

### value

ManagedNotification[] value